# Spectra.jl

Copyright (c) 2016-2019 Dr. Charles Le Losq

email: charles.lelosq@anu.edu.au

[![DOI](https://zenodo.org/badge/doi/10.5281/zenodo.53940.svg)](http://doi.org/10.5281/zenodo.635346)

Spectra.jl is a package aimed at helping spectroscopic (Raman, Infrared, Nuclear Magnetic Resonance, XAS...) data treatment under Julia. Spectra.jl aim is to provide a simplest way to perform actions like baseline fitting and removal, or peak fitting for instance, while respecting the freedom offered by data treatment through using a computer code instead of a Graphic User Interface.

# Documentation

[![](https://img.shields.io/badge/docs-latest-blue.svg)](https://charlesll.github.io/Spectra.jl/latest) [![](https://img.shields.io/badge/docs-stable-blue.svg)](https://charlesll.github.io/Spectra.jl/stable)

# News

See the NEWS.md

# Installation

In Julia 1.0 and later, use the `pkg` environment (key `]`), then directly run `add Spectra`.

# Examples

See the examples notebooks in the ./examples/ folder for usage examples.

# Licence

see LICENCE.md

# Citation

If you happen to use Spectra in your work, please cite as:

LE LOSQ, Charles. (2016, June 1). Spectra.jl: a Julia package for processing spectroscopic data. Zenodo. http://doi.org/10.5281/zenodo.635346
